Add Labeling Codes Chestny ZNAK to Assembly Orders
POST /api/marketplace/v3/dbs/orders/meta/sgtinBase URL: https://marketplace-api.wildberries.ru · Module: dbs · Section: DBS Label Identifiers · Specification doc ↗
Sets the labeling code Chestny ZNAK for the assembly orders. You can set the labeling code Chestny ZNAK only for orders in the confirm status and if the field sgtin is returned in the response of the Get Order Label Identifiers method.
For more information about labeling code Chestny ZNAK please check: https://chestnyznak.ru/en/.
Request limit per one seller account for all methods for adding DBS label identifiers:
| Type | Period | Limit | Interval | Burst |
|---|---|---|---|---|
| Personal | 1 min | 500 requests | 120 ms | 20 requests |
| Service | 1 min | 500 requests | 120 ms | 20 requests |
| Base with secret | 1 min | 500 requests | 120 ms | 20 requests |
| Base | 1 h | 10 requests | 6 min | 1 request |
One request with 4XX response codes is counted as 10 requests. |
In Sandbox — maximum of 1 request per second for all Marketplace methods in total.
Request body
application/json — schema api.OrdersSGTINsSetRequest, required
ordersapi.SGTINs[](required)orderIdinteger<int64>(required) — Assembly order IDsgtinsstring[](required) — List of labeling codes Chestny ZNAK. From 16 to 135 characters for one label
Responses
| Code | Description | Schema |
|---|---|---|
200 | Success | api.StatusSetResponses |
400 | Bad request | api.BatchError |
401 | Unauthorized | object |
402 | Payment required | object |
403 | Access denied | api.BatchError |
429 | Too many requests | object |
Structure 200:
requestIdstring— Unique request IDresultsapi.StatusSetResponse[]errorsapi.BatchErrorResponse[]— Error detailscodeinteger<int64>— Error code: -404-409-400detailstring— -NotFound— assembly order is not found -StatusMismatch— operation is not possible for this assembly order status -ImeiIsNotFilled— IMEI is not filled -OrderNotB2B— operation is available only for assembly orders with the B2B sale indicator"isB2b": true-InvalidOriginCountryCode— invalid country of origin code
isErrorboolean— Are there any errorsorderIdinteger<int64>— Assembly order ID with successfully set data
Structure 400:
detailobject— Error detailsoriginstring— WB internal service IDrequestIdstring— Unique request IDtitlestring— Error title
Structure 401:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Structure 402:
titlestring— Error titledetailstring— Error details. The error is only returned to services from the Solutions for business Catalog
Structure 403:
detailobject— Error detailsoriginstring— WB internal service IDrequestIdstring— Unique request IDtitlestring— Error title
Structure 429:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Call examples
Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.
from wb_api_client.dbs import Configuration, ApiClient
from wb_api_client.dbs.api import DbsApi
cfg = Configuration(access_token="<your WB JWT>")
api = DbsApi(ApiClient(cfg))
result = api.post_v3_dbs_orders_meta_sgtin(api_orders_sgtins_set_request=...)
print(result)import {
Configuration,
DbsApi,
} from "@valeryverkhoturov/wb-api-client/dbs";
const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new DbsApi(cfg);
const { data } = await api.postV3DbsOrdersMetaSgtin(apiOrdersSGTINsSetRequest);
console.log(data);import (
"context"
"fmt"
wbdbs "github.com/ValeryVerkhoturov/wb-api-client-go/dbs"
)
cfg := wbdbs.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbdbs.NewAPIClient(cfg)
result, _, err := client.DbsAPI.PostV3DbsOrdersMetaSgtin(context.Background()).ApiOrdersSGTINsSetRequest(apiOrdersSGTINsSetRequest).Execute()
if err != nil {
panic(err)
}
fmt.Printf("%+v\n", result)import io.github.valeryverkhoturov.wbapi.dbs.ApiClient;
import io.github.valeryverkhoturov.wbapi.dbs.SecretString;
import io.github.valeryverkhoturov.wbapi.dbs.api.DbsApi;
ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
DbsApi api = new DbsApi(client);
System.out.println(api.postV3DbsOrdersMetaSgtin(apiOrdersSGTINsSetRequest));use ValeryVerkhoturov\WbApiClient\Dbs\Configuration;
use ValeryVerkhoturov\WbApiClient\Dbs\SecretString;
use ValeryVerkhoturov\WbApiClient\Dbs\Api\DbsApi;
use GuzzleHttp\Client;
$config = (new Configuration())
->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new DbsApi(new Client(), $config);
print_r($api->postV3DbsOrdersMetaSgtin($api_orders_sgtins_set_request));#Использовать "wb-api-client"
Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый DbsApi(Настройки);
Сообщить(Клиент.PostV3DbsOrdersMetaSgtin(Тело).Тело);using ValeryVerkhoturov.WbApiClient.Dbs.Api;
using ValeryVerkhoturov.WbApiClient.Dbs.Client;
var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new DbsApi(config);
Console.WriteLine(api.PostV3DbsOrdersMetaSgtin(apiOrdersSGTINsSetRequest));use wb_api_client::dbs::apis::{configuration::Configuration, dbs_api};
#[tokio::main]
async fn main() {
let mut cfg = Configuration::new();
cfg.set_access_token("<your WB JWT>");
let result = dbs_api::post_v3_dbs_orders_meta_sgtin(&cfg, api_period_orders_sgtins_set_request).await;
println!("{:#?}", result);
}